## octave-image 1.0.6

=== DESCRIPTION ===
Name: Image
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 reading, writing, and processing images. The package supports
 almost all image formats through the use of ImageMagick.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 2.9.10)
Autoload: yes
BuildRequires: png-devel
BuildRequires: jpeg-devel
SystemRequirements: ImageMagick
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

ifdef HAVE_JPEG
	JPEG=jpgwrite.oct jpgread.oct
endif

ifdef HAVE_PNG
	PNG=pngread.oct pngwrite.oct
endif

ifdef HAVE_MAGICKXX
	IMAGEMAGICK=__magick_read__.oct
endif

all: __cordfltn__.oct __bilateral__.oct __custom_gaussian_smoothing__.oct \
	bwlabel.oct bwfill.oct rotate_scale.oct hough_line.oct \
	graycomatrix.oct deriche.oct __bwdist.oct nonmax_supress.oct \
	$(JPEG) $(PNG) $(IMAGEMAGICK)

jpgread.oct: jpgread.cc
	$(MKOCTFILE) $< -ljpeg

jpgwrite.oct: jpgwrite.cc
	$(MKOCTFILE) $< -ljpeg

pngread.oct: pngread.cc
	$(MKOCTFILE) $< -lpng

pngwrite.oct: pngwrite.cc
	$(MKOCTFILE) $< -lpng

__magick_read__.oct: __magick_read__.cc
	$(MKOCTFILE) $< `Magick++-config --cppflags` -lMagick++ -lMagick

clean: ; -$(RM) *.o octave-core core *.oct *~

## octave-image 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Image
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2008-08-23
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Image Processing

=== src/Makefile ===
--- 
+++ 
@@ -30,6 +30,6 @@
 	$(MKOCTFILE) $< -lpng
 
 __magick_read__.oct: __magick_read__.cc
-	$(MKOCTFILE) $< `Magick++-config --cppflags` -lMagick++ -lMagick
+	$(MKOCTFILE) $< `Magick++-config --cppflags` `Magick++-config --ldflags`
 
 clean: ; -$(RM) *.o octave-core core *.oct *~

## octave-image 1.0.10

=== DESCRIPTION ===
Name: Image
Version: 1.0.10
Date: 2009-05-03
Author: Various Authors
Maintainer: Soren Hauberg
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 3.1.51)
Autoload: yes
BuildRequires: png-devel
BuildRequires: jpeg-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

ifdef HAVE_JPEG
	JPEG=jpgwrite.oct jpgread.oct
endif

ifdef HAVE_PNG
	PNG=pngread.oct pngwrite.oct
endif

all: __spatial_filtering__.oct __bilateral__.oct __custom_gaussian_smoothing__.oct \
	bwlabel.oct bwfill.oct rotate_scale.oct hough_line.oct \
	graycomatrix.oct deriche.oct __bwdist.oct nonmax_supress.oct \
	$(JPEG) $(PNG)

jpgread.oct: jpgread.cc
	$(MKOCTFILE) $< -ljpeg

jpgwrite.oct: jpgwrite.cc
	$(MKOCTFILE) $< -ljpeg

pngread.oct: pngread.cc
	$(MKOCTFILE) $< -lpng

pngwrite.oct: pngwrite.cc
	$(MKOCTFILE) $< -lpng

clean: ; -$(RM) *.o octave-core core *.oct *~

## octave-image 1.0.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Image
-Version: 1.0.10
-Date: 2009-05-03
+Version: 1.0.12
+Date: 2010-03-22
 Author: Various Authors
 Maintainer: Soren Hauberg
 Title: Image Processing
@@ -9,7 +9,7 @@
  The package also provides functions for feature extraction, image
  statistics, spatial and geometric transformations, morphological
  operations, linear filtering, and much more.
-Depends: octave (>= 3.1.51)
+Depends: octave (>= 3.2.0)
 Autoload: yes
 BuildRequires: png-devel
 BuildRequires: jpeg-devel

=== Makefile ===
sinclude ../../Makeconf


PKG_FILES = COPYING DESCRIPTION INDEX $(wildcard devel/*) $(wildcard inst/*) \
	$(wildcard src/*)

=== src/Makefile ===
all: __spatial_filtering__.oct __bilateral__.oct __custom_gaussian_smoothing__.oct \
	__imboundary__.oct bwlabel.oct bwfill.oct rotate_scale.oct hough_line.oct \
	graycomatrix.oct deriche.oct __bwdist.oct nonmax_supress.oct

%.oct: %.cc
	mkoctfile -Wall $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-image (1.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571847)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Drop patches (applied upstream):
    - fix_failing_test_in_qtdecomp
    - fix_uppercase_variable
    - replace_obsoleted_spfind

 -- Thomas Weber <tweber@debian.org>  Sat, 22 May 2010 00:06:30 +0200

octave-image (1.0.10-3) unstable; urgency=low

  * New patch: fix_failing_test_in_qtdecomp, fixes some test failures in
    qtdecomp().

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 17 Jan 2010 21:51:36 +0100

octave-image (1.0.10-2) unstable; urgency=low

  * New patch: fix_uppercase_variable, fixes a wrongly uppercased variable
    name (closes: #557579)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 03 Jan 2010 20:40:36 +0100

octave-image (1.0.10-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-depends): on octave-pkg-dev >= 0.7.0, such that the
      package is built against octave3.2
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  
  [ Thomas Weber ]
  * New upstream release 
  * This release uses the im* function from octave3.2 (closes: #517902)
  * Use quilt for patches and document that in README.source.
  * New patch: replace_obsoleted_spfind, replaces calls to the obsoleted
    spfind() function with calls to find()

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 29 Dec 2009 09:54:19 +0100

octave-image (1.0.8-3) unstable; urgency=low

  * debian/control:
    + Conflict with graphicsmagick-imagemagick-compat instead of
      alternatively depending on it.  This version of the package only
      works correctly with ImageMagick.  For instance, the parsing of the
      output of the identify command in imread.m is totally broken when
      using GraphicsMagick. Closes: #517903.
    + Bump Standards-Version to 3.8.1 (no changes needed)
  * debian/rules: Drop quilt support

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 Apr 2009 16:41:04 +0200

octave-image (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 05 Apr 2009 10:51:17 +0200

octave-image (1.0.8-1) experimental; urgency=low

  * New upstream release
  * patches/rgbplot-map-args.diff: dropped, applied upstream
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 09 Dec 2008 22:28:06 +0100

octave-image (1.0.6.4) unstable; urgency=low

  * Use quilt for patch management
  * /debian/patches/rgbplot-map-args.diff: New patch for fixing the indexing
    of the map matrix in rgbplot.  Thanks to Francesco Potortì for the patch
    (closes: #491878).
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jul 2008 09:46:53 +0200

octave-image (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * debian/control: Add dependency on graphicsmagick-imagemagick-compat.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 May 2008 15:55:47 +0200

octave-image (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468504)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 09 Feb 2008 14:02:44 +0100

=== debian/control ===
Source: octave-image
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0),
 libpng12-dev, libjpeg62-dev
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/image
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-image.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-image.git

Package: octave-image
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, imagemagick
Conflicts: graphicsmagick-imagemagick-compat
Description: image manipulation for Octave
 This package provides functions for reading, writing, and processing
 images to Octave, a numerical computation software. The package
 supports almost all image formats through the use of ImageMagick. The
 package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
 .
 Note that this package only works with ImageMagick and not with
 GraphicsMagick, even when the compatibility layer is installed.  This
 is why this package conflicts with graphicsmagick-imagemagick-compat.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/image-([\d.]+)\.tar\.gz\?download

## octave-image 1.0.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Image
-Version: 1.0.12
-Date: 2010-03-22
+Version: 1.0.14
+Date: 2011-04-12
 Author: Various Authors
 Maintainer: Soren Hauberg
 Title: Image Processing
@@ -11,7 +11,5 @@
  operations, linear filtering, and much more.
 Depends: octave (>= 3.2.0)
 Autoload: yes
-BuildRequires: png-devel
-BuildRequires: jpeg-devel
 License: GPL version 2 or later
 Url: http://octave.sf.net

=== debian/changelog ===
octave-image (1.0.14-2) unstable; urgency=low

  * Drop libpng12-dev and libjpeg62-dev from build-dependencies; they are not
    used anymore by the octave-image code files (closes: #635054)

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Jul 2011 11:26:11 +0200

octave-image (1.0.14-1) unstable; urgency=low

  * New upstream release
    - Includes iradon (closes: #615816)
    - Initialize matrix to zero in .cc code, avoiding the use of uninitialized
      memory (closes: #615587)
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * New patch: fix tests, fixes failing unit tests

 -- Thomas Weber <tweber@debian.org>  Thu, 14 Apr 2011 20:21:19 +0200

octave-image (1.0.13-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Thu, 02 Sep 2010 22:21:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0),
- libpng12-dev, libjpeg62-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/image
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-image.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-image.git

## octave-image 1.0.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Image
-Version: 1.0.14
+Version: 1.0.15
 Date: 2011-04-12
 Author: Various Authors
 Maintainer: Soren Hauberg

=== debian/changelog ===
octave-image (1.0.15-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.15
  * Drop patch fix-tests (applied upstream)
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Drop Conflicts on graphicsmagick-imagemagick-compat
  * debian/copyright: update to machine-readable format 1.0
  * Add Sébastien Villemot to the list of Uploaders
  * Add patch ismatrix-returns-true-on-string.patch

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 22:51:53 +0100

=== debian/control ===
Source: octave-image
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/image
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-image.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-image.git

Package: octave-image
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, imagemagick
Description: image manipulation for Octave
 This package provides functions for reading, writing, and processing
 images to Octave, a numerical computation software. The package
 supports almost all image formats through the use of ImageMagick. The
 package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-image 2.0.0

=== DESCRIPTION ===
Name: Image
Version: 2.0.0
Date: 2012-11-08
Author: various authors
Maintainer: Carnë Draug <carandraug+dev@gmail.com>
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 3.6.0), signal (>= 1.2.0)
License: GPLv3+, MIT, FreeBSD
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE ?= mkoctfile -Wall

all: __spatial_filtering__.oct __bilateral__.oct __custom_gaussian_smoothing__.oct \
	__boundary__.oct bwlabel.oct bwfill.oct rotate_scale.oct hough_line.oct \
	graycomatrix.oct __bwdist__.oct nonmax_supress.oct bwlabeln.oct

%.oct: %.cc
	$(MKOCTFILE) $<

bwlabeln.oct: bwlabeln.cc union-find.h++
	CXXFLAGS='-g -O2 -std=c++0x -Wall' $(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-image (2.0.0-3) unstable; urgency=low

  * Correctly call __bwdist__ from bwdist.m (Closes: #712995)

 -- Thomas Weber <tweber@debian.org>  Tue, 25 Jun 2013 13:21:18 +0200

octave-image (2.0.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

  [ Thomas Weber ]
  * Use canonical URLs for Vcs-* fields
  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Tue, 04 Jun 2013 23:32:39 +0200

octave-image (2.0.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.0
  * debian/clean: Remove this useless file
  * debian/watch: Use the SourceForge redirector
  * debian/copyright: Adjust for the new upstream release
  * Drop patch ismatrix-returns-true-on-string.patch (applied upstream)
  * debian/patches/autoload-yes.patch: New patch
  * Add Lintian override for hardening-no-fortify-functions
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/patches/fftconv2-usage.patch: New patch (Closes: #664716)
  * debian/patches/use-imerode-and-imdilate.patch: New patch

  [ Sébastien Villemot ]
  * use-dpkg-buildflags.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Nov 2012 14:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/image
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-image.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-image.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-image.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-image.git
 
 Package: octave-image
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/octave/image-(.+)\.tar\.gz

## octave-image 2.2.0

=== DESCRIPTION ===
Name: Image
Version: 2.2.0
Date: 2014-01-08
Author: various authors
Maintainer: Carnë Draug <carandraug+dev@gmail.com>
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 3.8.0), signal (>= 1.2.0), general (>= 1.3.0)
License: GPLv3+, MIT, FreeBSD
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE ?= mkoctfile -Wall

all: __spatial_filtering__.oct __bilateral__.oct __custom_gaussian_smoothing__.oct \
	__boundary__.oct bwfill.oct rotate_scale.oct hough_line.oct \
	graycomatrix.oct bwdist.oct nonmax_supress.oct bwlabeln.oct imerode.oct

%.oct: %.cc
	$(MKOCTFILE) $<

bwlabeln.oct: bwlabeln.cc union-find.h++
	CXXFLAGS='-g -O2 -std=c++0x -Wall' $(MKOCTFILE) $<

imerode.oct: imerode.cc strel.cc
	$(MKOCTFILE) $^ -o $@

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-image (2.2.0-3) unstable; urgency=medium

  * bwdist-noopt.patch: new patch, disables optimization when compiling bwdist.
    Fixes FTBFS on i386.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Feb 2014 14:15:33 +0000

octave-image (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2014 15:20:04 +0000

octave-image (2.2.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.0
  * Refresh patches for new upstream version
    - autoload-yes.patch: refreshed
    - fftconv2-usage.patch: dropped (applied upstream)
    - use-imerode-and-imdilate.patch: dropped (applied upstream)
    - use-dpkg-buildflags.patch: refreshed
    - use__bwdist__.patch: dropped (applied upstream)
  * Build-Depends on octave-pkg-dev >> 1.0.5.
    This forces the package to be built against octave 3.8.0, at least.
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Sébastien Villemot ]
  * Fix debian/watch, to avoid errors due to the presence of image-acquisition.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 18:51:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1)
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/image
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-image.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-image.git

## octave-image 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Image
-Version: 2.2.0
-Date: 2014-01-08
+Version: 2.2.1
+Date: 2014-03-08
 Author: various authors
 Maintainer: Carnë Draug <carandraug+dev@gmail.com>
 Title: Image Processing

=== debian/changelog ===
octave-image (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Replace workaround bwdist-noopt.patch by upstream fix.

 -- Thomas Weber <tweber@debian.org>  Tue, 11 Mar 2014 21:23:49 +0100

## octave-image 2.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Name: Image
-Version: 2.2.1
-Date: 2014-03-08
+Version: 2.2.2
+Date: 2014-10-06
 Author: various authors
-Maintainer: Carnë Draug <carandraug+dev@gmail.com>
+Maintainer: Carnë Draug <carandraug@octave.org>
 Title: Image Processing
 Description: The Octave-forge Image package provides functions for
  processing images.

=== debian/changelog ===
octave-image (2.2.2-1) unstable; urgency=low

  * Imported Upstream version 2.2.2
  * d/p/prevent-endless-loop-on-i386.diff: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 20 Oct 2014 18:41:56 -0200

octave-image (2.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: set as Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright: Comply with DEP-5 specification

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:29:13 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/image
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-image.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-image.git

## octave-image 2.4.0

=== debian/changelog ===
octave-image (2.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.0
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes.
  * d/p/use-dpkg-buildflags.patch: drop patch, no longer needed.
  * Bump B-D on octave-pkg-dev to >= 1.3, to enfore Octave 4.0.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 17:55:34 +0200

## octave-image 2.4.1

=== DESCRIPTION ===
Name: image
Version: 2.4.1
Date: 2015-08-07
Author: various authors
Maintainer: Carnë Draug <carandraug@octave.org>
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 4.0.0)
License: GPLv3+, MIT, FreeBSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-image (2.4.1-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:46:08 +0000

octave-image (2.4.1-1) unstable; urgency=medium

  * Imported Upstream version 2.4.1 (Closes: #798444)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 12 Sep 2015 12:19:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: octave-image
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1)
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3)
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/image
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-image.git

## octave-image 2.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: image
-Version: 2.4.1
-Date: 2015-08-07
+Version: 2.6.1
+Date: 2016-10-21
 Author: various authors
 Maintainer: Carnë Draug <carandraug@octave.org>
 Title: Image Processing
@@ -10,5 +10,5 @@
  statistics, spatial and geometric transformations, morphological
  operations, linear filtering, and much more.
 Depends: octave (>= 4.0.0)
-License: GPLv3+, MIT, FreeBSD
+License: GPLv3+
 Url: http://octave.sf.net

=== debian/changelog ===
octave-image (2.6.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/rules: Pass -ffloat-store option to g++ on i386 architecture.
    This will ensure the precise definition of IEEE floating point, what
    will, hopefully, avoid the endless loop (and the consequent FTBFS) in
    the unit test for bwdist.
    Thanks to Adrian Bunk for the diagnosis of the problem and the
    suggestion of the fix (Closes: #871214)
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Aug 2017 06:36:48 -0300

octave-image (2.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.6.1
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/copyright: Reflect upstream changes
  * Bump debhelper compatibility level to 10

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 23 Oct 2016 04:29:06 -0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: octave-image
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3)
-Standards-Version: 3.9.6
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Uploaders: Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.3)
+Standards-Version: 4.0.1
 Homepage: http://octave.sourceforge.net/image
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-image.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-image.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-image.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-image.git
 
 Package: octave-image
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

include /usr/share/cdbs/1/class/octave-pkg.mk

## octave-image 2.6.2

=== debian/changelog ===
octave-image (2.6.2-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:31:41 -0200

octave-image (2.6.2-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:39 -0200

octave-image (2.6.2-3) unstable; urgency=medium

  * d/p/skip-unit-test-bwconncomp.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Nov 2017 03:42:43 -0200

octave-image (2.6.2-2) unstable; urgency=medium

  * Refresh patches for new upstream version:
    + d/p/skip-unit-tests-watershed.patch
    + d/p/typo-unit-test-watershed.patch
  * New patches:
    + d/p/skip-unit-test-fftconv2.patch: New patch
    + d/p/skip-unit-test-imrode.patch: New patch
    + d/p/relax-unit-test-otf2psf-psf2otf.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Nov 2017 15:50:04 -0200

octave-image (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * Drop patch es(applied upstream):
    + d/p/error-unit-test-strel.patch
    + d/p/float-precision-i386-unit-tests.patch
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 15 Nov 2017 04:28:08 -0200

octave-image (2.6.1-4) unstable; urgency=medium

  * d/control: Add Testsuite field
  * d/p/float-precision-i386-unit-tests.patch: New patch.
    Try to avoid failure of some unit tests that arises from problems in
    the representation of floating point numbers.  This should fix the
    FTBFS problem on the i386 architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Sep 2017 13:15:04 -0300

octave-image (2.6.1-3) unstable; urgency=medium

  * Fix (or declare as known failure) all failing tests, such that the
    package dos not FTBFS with octave-pkg-dev 1.5.0 (Closes: #874125).
    Patches added:
    + im2bw-unit-test.patch ; New patch
    + typo-unit-test-watershed.patch: New patch
    + skip-unit-tests-watershed.patch: New patch
    + skip-unit-tests-impyramid.patch: New patch
    + skip-unit-tests-edge.patch: New patch
    + drop-unit-tests-grayslice.patch: New patch
    + drop-unit-tests-bwmorph.patch: New patch
    + drop-unit-test-otf2psf.patch: New patch
    + drop-unit-test-nlfilter.patch: New patch
    + error-unit-test-strel.patch: New patch
    + skip-unit-test-cp2tform.patch: New patch
  * d/control:
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Drop dependency on imagemagick (Closes: #867230)
    + Add gnuplot-nox to Build-Depends

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Sep 2017 16:40:10 -0300

=== debian/control ===
Source: octave-image
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave, gnuplot-nox
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/image
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image
Testsuite: autopkgtest-pkg-octave

Package: octave-image
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: image manipulation for Octave
 This package provides functions for reading, writing, and processing
 images to Octave, a numerical computation software. The package
 supports almost all image formats through the use of ImageMagick. The
 package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
     export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
 endif
 
-include /usr/share/cdbs/1/class/octave-pkg.mk
+%:
+	dh $@ --buildsystem=octave --with=octave

## octave-image 2.8.0

=== debian/changelog ===
octave-image (2.8.0-1build2) cosmic; urgency=medium

  * No-change rebuild against octave 4.4.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Sep 2018 21:48:21 +0000

octave-image (2.8.0-1build1) cosmic; urgency=medium

  * No-change rebuild against octave 4.4

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jul 2018 18:35:44 +0000

octave-image (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * Dropped patches (applied or fixed upstream):
    + im2bw-unit-test.patch
    + typo-unit-test-watershed.patch
    + skip-unit-tests-edge.patch
    + qtdecomp-test.patch
    + remove-rgb2gray.patch
    + skip-unit-tests-bwmorph.patch
  * Refreshed patches for new upstream version:
    + skip-unit-test-imrode.patch
    + skip-unit-test-bwconncomp.patch
    + skip-unit-test-cp2tform.patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Jun 2018 12:41:42 -0300

octave-image (2.6.2-8) unstable; urgency=medium

  * Team upload.
  * skip-unit-test-imadjust.patch: new patch.
    Ignore random test failures in imadjust.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 21:17:35 +0200

octave-image (2.6.2-7) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on i386 with Octave 4.4.
    The -ffloat-store appended to CXXFLAGS was confusing mkoctfile (see
    Octave bug #54112. Also simplify the test logic for i386 CPU by using
    DEB_HOST_ARCH_CPU variable.
  * remove-rgb2gray.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 13:51:16 +0000

octave-image (2.6.2-6) unstable; urgency=medium

  * Team upload.

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * qtdecomp-test.patch: new patch from upstream.
    Fixes FTBFS against Octave 4.4.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Jun 2018 21:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper (>= 11), dh-octave, gnuplot-nox
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/image
+Standards-Version: 4.1.4
+Homepage: https://octave.sourceforge.io/image/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image
 Testsuite: autopkgtest-pkg-octave

## octave-image 2.10.0

=== debian/changelog ===
octave-image (2.10.0-2) unstable; urgency=medium

  * d/p/xtest-bwpack-big-endian.patch: New patch (Closes: #919764)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jan 2019 19:10:39 -0200

octave-image (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Drop patch (applied or fixed upstream):
    + d/p/skip-unit-tests-impyramid.patch
    + d/p/drop-unit-tests-grayscale.patch
    + d/p/skip-unit-test-nlfilter.patch
  * Refresh for new upstream version:
    + d/p/skip-unit-test-otf2psf.patch
    + d/p/skip-unit-test-cp2tform.patch
    + d/p/xtest-in-normxcorr2.patch
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 21:49:52 -0200

octave-image (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * d/copyright: Reflect upstream changes
  * d/p/xtest-in-normxcorr2.patch: New patch
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Nov 2018 16:28:47 -0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave, gnuplot-nox
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12),
+               dh-octave,
+               gnuplot-nox
+Standards-Version: 4.3.0
 Homepage: https://octave.sourceforge.io/image/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-image
 Architecture: any

## octave-image 2.12.0

=== debian/changelog ===
octave-image (2.12.0-11build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:27:44 +0000

octave-image (2.12.0-11) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright year for the debian/* files
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/clean: Extend list of files to be removed

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Nov 2021 05:39:12 -0300

octave-image (2.12.0-10) unstable; urgency=medium

  * relax-unit-test-cp2tform.patch: new patch.
    Should fix FTBFS on s390x and autopkgtest failure on arm64.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Dec 2020 12:44:16 +0100

octave-image (2.12.0-9) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:04:45 +0100

octave-image (2.12.0-8) experimental; urgency=medium

  * d/rules: Restore the previous version of this file. An erroneous
   (but harmless) version of in sneaked in the previous release.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 04 Dec 2020 18:52:25 -0300

octave-image (2.12.0-7) experimental; urgency=medium

  * d/p/fix-bwdist-on-i386.patch: New patch (Closes: #976198)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 04 Dec 2020 16:15:41 -0300

octave-image (2.12.0-6) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976199)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Delete the left-over files src/*.cc-tst

 -- Rafael Laboissière <rafael@debian.org>  Thu, 03 Dec 2020 11:38:37 -0300

octave-image (2.12.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-image: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Nov 2020 18:37:10 -0300

octave-image (2.12.0-4) unstable; urgency=medium

  * d/p/cp2tform-xtest.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 10 Aug 2020 05:07:52 -0300

octave-image (2.12.0-3) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control:
    + Bump debhelper compatibility level to 13
    + Build-Conflicts with octave-nan.  This was causing failures in
      the unit tests for functions mean2 and immse.
  * d/p/typo-in-bwlabeln.patch: New patch
  * d/copyright: Fix file path
  * Set Forwarded field to "not-needed":
    + d/p/stretchlim-xtest.patch
    + d/p/skip-unit-test-imrode.patch
    + d/p/skip-unit-test-imadjust.patch
    + d/p/skip-unit-test-fftconv2.patch
    + d/p/relax-unit-test-otf2psf-psf2otf.patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 11:39:38 -0300

octave-image (2.12.0-2) unstable; urgency=medium

  * d/control: Remove obsolete reference to ImageMagick in the package
    description. Thanks to David Miguel Susano Pinto

 -- Rafael Laboissière <rafael@debian.org>  Thu, 13 Feb 2020 10:38:54 -0300

octave-image (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * d/copyright: Reflect upstream changes
  * Patches refreshed for new upstream version:
    + d/p/skip-unit-test-fftconv2.patch
    + d/p/skip-unit-test-imerode.patch
  * Patches dropped (applied upstream):
    + d/p/skip-unit-test-cp2tform.patch
    + d/p/skip-unit-test-bwconncomp.patch
    + d/p/xtest-bwpack-big-endian.patch
    + d/p/spelling-nonmax-supress.patch
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Feb 2020 18:31:43 -0300

octave-image (2.10.0-4) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 15:08:06 -0300

octave-image (2.10.0-3) unstable; urgency=medium

  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/p/stretchlim-xtest.patch: New patch
  * d/p/spelling-nonmax-supress.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Oct 2019 06:01:37 -0300

=== debian/control ===
Source: octave-image
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1),
               gnuplot-nox
Build-Conflicts: octave-nan
Standards-Version: 4.6.0
Homepage: https://octave.sourceforge.io/image/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-image
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Multi-Arch: same
Description: image manipulation for Octave
 This package provides functions for processing images. The package
 also provides functions for feature extraction, image statistics,
 spatial and geometric transformations, morphological operations,
 linear filtering, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
# The regular expression is written in such a way to avoid matching with
# package image-acquisition.
version=4
http://sf.net/octave/image-([[:digit:]\.]+)\.tar\.gz

## octave-image 2.14.0

=== DESCRIPTION ===
Name: image
Version: 2.14.0
Date: 2022-03-23
Author: various authors
Maintainer: Carnë Draug <carandraug@octave.org>, Hartmut Gimpel <hg_code@gmx.de> and Avinoam Kalma
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 4.2.0)
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-image (2.14.0-5) unstable; urgency=medium

  * d/p/add-distclean-target.patch: Fix typo in Forwarded URL
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Oct 2023 04:56:51 -0300

octave-image (2.14.0-4) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:24:11 -0300

octave-image (2.14.0-3) unstable; urgency=medium

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/rules: Avoid the generation of a dwz multifile
  * Proper cleaning of files generated by the configure script
    + d/p/add-distclean-target.patch: New patch
    + d/s/options: Drop obsolete file
    + d/clean: Update for new situation
  * d/control: Build-Depend on dh-octave >= 1.2.3. In this version,
    dh_octave_clean removes the src/*-tst files and properly calls
    the target distclean of src/Makefile
  * d/p/relax-unit-test-affine2d.patch: Set Forwarded: not-needed

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 05:25:25 -0300

octave-image (2.14.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive.

  [ Sébastien Villemot ]
  * relax-unit-test-affine2d.patch: new patch, fixes FTBFS on i386

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Apr 2022 10:36:32 +0200

octave-image (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0
  * d/copyright: Reflect upstream changes
  * Drop patches (applied upstream):
    + d/p/typo-in-bwlabeln.patch
    + d/p/build-against-octave-6.patch
    + d/p/fix-bwdist-on-i386.patch
    + d/p/relax-unit-test-cp2tform.patch
  * d/p/relax-unit-test-otf2psf-psf2otf.patch: Reflect upstream changes
  * d/p/cp2tform-xtest.patch: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 29 Mar 2022 11:44:32 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                gnuplot-nox
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/image/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/image/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image
 Testsuite: autopkgtest-pkg-octave

## octave-image 2.16.0

=== DESCRIPTION ===
Name: image
Version: 2.16.0
Date: 2025-03-03
Author: various authors
Maintainer: Carnë Draug <carandraug@octave.org>, Hartmut Gimpel <hg_code@gmx.de> and Avinoam Kalma
Title: Image Processing
Description: The Octave-forge Image package provides functions for
 processing images.
 The package also provides functions for feature extraction, image
 statistics, spatial and geometric transformations, morphological
 operations, linear filtering, and much more.
Depends: octave (>= 7.1)
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-image (2.16.0-2) unstable; urgency=medium

  * d/clean: Drop unneeded file.
    Files inst/{ntsc2rgb,rgb2ntsc}.m are now installed in the system.
    (Closes: #1103594)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 22 Apr 2025 04:41:34 -0300

octave-image (2.16.0-1) unstable; urgency=medium

  * New upstream version 2.16.0
  * d/p/add-distclean-target.patch: Drop patch (applied upstream)
  * Refresh patches for new upstream version:
    + d/p/skip-unit-test-imerode.patch
    + d/p/relax-unit-test-otf2psf-psf2otf.patch
    + d/p/relax-unit-test-affine2d.patch
    + d/p/stretchlim-xtest.patch
  * d/copyright: Reflect upstream changes
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Mar 2025 01:57:46 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-octave,
                gnuplot-nox
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/image/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifeq ($(DEB_HOST_ARCH_CPU), i386)
# Use PREPEND instead of APPEND, as a workaround for Octave bug #54112
    export DEB_CXXFLAGS_MAINT_PREPEND=-ffloat-store
endif

%:
	dh $@ --buildsystem=octave

override_dh_dwz:
	dh_dwz --no-dwz-multifile

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/image/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/image-(.+).tar.gz

## octave-image 2.16.1

=== debian/changelog ===
octave-image (2.16.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2025 17:26:07 +0200

octave-image (2.16.1-1) experimental; urgency=medium

  * New upstream version 2.16.1

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 May 2025 05:45:22 -0300
